Bug 1702324

Summary: java-11-openjdk packages have wrong lib-style requirements
Product: [Fedora] Fedora Reporter: Severin Gehwolf <sgehwolf>
Component: java-11-openjdkAssignee: Severin Gehwolf <sgehwolf>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 29CC: ahughes, jerboaa, jvanek
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: java-11-openjdk-11.0.3.7-1.fc30 java-11-openjdk-11.0.3.7-1.fc29 java-11-openjdk-11.0.3.7-1.fc28 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2019-05-04 00:16:28 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Severin Gehwolf 2019-04-23 13:40:54 UTC
Description of problem:
java-11-openjdk{,-devel,-headless} packages have broken lib-style requirements. java-11-openjdk-headless, for example, includes libjvm.so, which has dependencies on libc, libgcc_s, etc. That's not reflected in the requirements of this package.

Version-Release number of selected component (if applicable):
$ rpm -q java-11-openjdk-headless
java-11-openjdk-headless-11.0.2.7-7.fc29.x86_64

How reproducible:
100%

Steps to Reproduce:
1. $ rpm -q --requires java-11-openjdk-headless | grep ^lib

Actual results:
Nothing.

Expected results:
At least some libc.so requirement.

Additional info:
java-1.8.0-openjdk-headless has these requirements:

$ rpm -q java-1.8.0-openjdk-headless
java-1.8.0-openjdk-headless-1.8.0.201.b09-6.fc29.x86_64
$ rpm -q --requires java-1.8.0-openjdk-headless | grep ^lib
libc.so.6()(64bit)
libc.so.6(GLIBC_2.11)(64bit)
libc.so.6(GLIBC_2.14)(64bit)
libc.so.6(GLIBC_2.2.5)(64bit)
libc.so.6(GLIBC_2.28)(64bit)
libc.so.6(GLIBC_2.3)(64bit)
libc.so.6(GLIBC_2.3.2)(64bit)
libc.so.6(GLIBC_2.3.4)(64bit)
libc.so.6(GLIBC_2.4)(64bit)
libc.so.6(GLIBC_2.7)(64bit)
libdl.so.2()(64bit)
libdl.so.2(GLIBC_2.2.5)(64bit)
libfreetype.so.6()(64bit)
libgcc_s.so.1()(64bit)
libgcc_s.so.1(GCC_3.0)(64bit)
libjava.so()(64bit)
libjava.so(SUNWprivate_1.1)(64bit)
libjpeg.so.62()(64bit)
libjpeg.so.62(LIBJPEG_6.2)(64bit)
libjvm.so()(64bit)
libjvm.so(SUNWprivate_1.1)(64bit)
libm.so.6()(64bit)
libm.so.6(GLIBC_2.2.5)(64bit)
libnspr4.so()(64bit)
libnss3.so()(64bit)
libnss3.so(NSS_3.2)(64bit)
libnssutil3.so()(64bit)
libnssutil3.so(NSSUTIL_3.12)(64bit)
libplc4.so()(64bit)
libplds4.so()(64bit)
libpthread.so.0()(64bit)
libpthread.so.0(GLIBC_2.2.5)(64bit)
libpthread.so.0(GLIBC_2.3.2)(64bit)
libpthread.so.0(GLIBC_2.3.3)(64bit)
libsmime3.so()(64bit)
libssl3.so()(64bit)
libstdc++.so.6()(64bit)
libstdc++.so.6(CXXABI_1.3)(64bit)
libstdc++.so.6(GLIBCXX_3.4)(64bit)
libthread_db.so.1()(64bit)
libthread_db.so.1(GLIBC_2.2.5)(64bit)
libverify.so()(64bit)
libverify.so(SUNWprivate_1.1)(64bit)
libz.so.1()(64bit)

Comment 3 Severin Gehwolf 2019-04-23 16:04:19 UTC
Candidate fix:
https://src.fedoraproject.org/rpms/java-11-openjdk/pull-request/42

Comment 4 Fedora Update System 2019-04-25 09:02:29 UTC
java-11-openjdk-11.0.3.7-1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-265e0b1282

Comment 5 Fedora Update System 2019-04-25 09:02:34 UTC
java-11-openjdk-11.0.3.7-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca4ee3510d

Comment 6 Fedora Update System 2019-04-25 22:51:29 UTC
java-11-openjdk-11.0.3.7-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ca4ee3510d

Comment 7 Fedora Update System 2019-04-26 12:37:22 UTC
java-11-openjdk-11.0.3.7-1.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a8996fb898

Comment 8 Fedora Update System 2019-04-26 22:09:54 UTC
java-11-openjdk-11.0.3.7-1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-265e0b1282

Comment 9 Fedora Update System 2019-04-27 22:30:31 UTC
java-11-openjdk-11.0.3.7-1.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a8996fb898

Comment 10 Fedora Update System 2019-05-04 00:16:28 UTC
java-11-openjdk-11.0.3.7-1.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2019-05-11 02:37:15 UTC
java-11-openjdk-11.0.3.7-1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-05-11 23:10:31 UTC
java-11-openjdk-11.0.3.7-1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.